<?php
/**
 * @file
 * accounting_modules.features.menu_links.inc
 */

/**
 * Implements hook_menu_default_menu_links().
 */
function accounting_modules_menu_default_menu_links() {
  $menu_links = array();

  // Exported menu link: management_accountants-menu:admin/structure/menu/manage/menu-accountants-menu.
  $menu_links['management_accountants-menu:admin/structure/menu/manage/menu-accountants-menu'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/structure/menu/manage/menu-accountants-menu',
    'router_path' => 'admin/structure/menu/manage/%',
    'link_title' => 'Accountants menu',
    'options' => array(
      'identifier' => 'management_accountants-menu:admin/structure/menu/manage/menu-accountants-menu',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_menus:admin/structure/menu',
  );
  // Exported menu link: management_administration-menu:admin/config/administration/admin_menu.
  $menu_links['management_administration-menu:admin/config/administration/admin_menu'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/config/administration/admin_menu',
    'router_path' => 'admin/config/administration/admin_menu',
    'link_title' => 'Administration menu',
    'options' => array(
      'attributes' => array(
        'title' => 'Adjust administration menu settings.',
      ),
      'identifier' => 'management_administration-menu:admin/config/administration/admin_menu',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_administration:admin/config/administration',
  );
  // Exported menu link: management_backup-and-migrate:admin/config/system/backup_migrate.
  $menu_links['management_backup-and-migrate:admin/config/system/backup_migrate'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/config/system/backup_migrate',
    'router_path' => 'admin/config/system/backup_migrate',
    'link_title' => 'Backup and Migrate',
    'options' => array(
      'attributes' => array(
        'title' => 'Backup/restore your database and files or migrate data to or from another Drupal site.',
      ),
      'identifier' => 'management_backup-and-migrate:admin/config/system/backup_migrate',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_system:admin/config/system',
  );
  // Exported menu link: management_date-popup:admin/config/date/date_popup.
  $menu_links['management_date-popup:admin/config/date/date_popup'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/config/date/date_popup',
    'router_path' => 'admin/config/date/date_popup',
    'link_title' => 'Date Popup',
    'options' => array(
      'attributes' => array(
        'title' => 'Configure the Date Popup settings.',
      ),
      'identifier' => 'management_date-popup:admin/config/date/date_popup',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_date-api:admin/config/date',
  );
  // Exported menu link: management_main-menu:admin/structure/menu/manage/main-menu.
  $menu_links['management_main-menu:admin/structure/menu/manage/main-menu'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/structure/menu/manage/main-menu',
    'router_path' => 'admin/structure/menu/manage/%',
    'link_title' => 'Main menu',
    'options' => array(
      'identifier' => 'management_main-menu:admin/structure/menu/manage/main-menu',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_menus:admin/structure/menu',
  );
  // Exported menu link: management_management:admin/structure/menu/manage/management.
  $menu_links['management_management:admin/structure/menu/manage/management'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/structure/menu/manage/management',
    'router_path' => 'admin/structure/menu/manage/%',
    'link_title' => 'Management',
    'options' => array(
      'identifier' => 'management_management:admin/structure/menu/manage/management',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_menus:admin/structure/menu',
  );
  // Exported menu link: management_navigation:admin/structure/menu/manage/navigation.
  $menu_links['management_navigation:admin/structure/menu/manage/navigation'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/structure/menu/manage/navigation',
    'router_path' => 'admin/structure/menu/manage/%',
    'link_title' => 'Navigation',
    'options' => array(
      'identifier' => 'management_navigation:admin/structure/menu/manage/navigation',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_menus:admin/structure/menu',
  );
  // Exported menu link: management_profiler-builder:admin/config/development/profiler_builder.
  $menu_links['management_profiler-builder:admin/config/development/profiler_builder'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/config/development/profiler_builder',
    'router_path' => 'admin/config/development/profiler_builder',
    'link_title' => 'Profiler Builder',
    'options' => array(
      'attributes' => array(
        'title' => 'Build distribution files from current settings',
      ),
      'identifier' => 'management_profiler-builder:admin/config/development/profiler_builder',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_development:admin/config/development',
  );
  // Exported menu link: management_rules-links:admin/config/workflow/rules_links.
  $menu_links['management_rules-links:admin/config/workflow/rules_links'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/config/workflow/rules_links',
    'router_path' => 'admin/config/workflow/rules_links',
    'link_title' => 'Rules Links',
    'options' => array(
      'attributes' => array(
        'title' => 'Manage links that trigger rules.',
      ),
      'identifier' => 'management_rules-links:admin/config/workflow/rules_links',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 1,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_workflow:admin/config/workflow',
  );
  // Exported menu link: management_user-menu:admin/structure/menu/manage/user-menu.
  $menu_links['management_user-menu:admin/structure/menu/manage/user-menu'] = array(
    'menu_name' => 'management',
    'link_path' => 'admin/structure/menu/manage/user-menu',
    'router_path' => 'admin/structure/menu/manage/%',
    'link_title' => 'User menu',
    'options' => array(
      'identifier' => 'management_user-menu:admin/structure/menu/manage/user-menu',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
    'parent_identifier' => 'management_menus:admin/structure/menu',
  );
  // Exported menu link: menu-accountants-menu_accounts:accounts.
  $menu_links['menu-accountants-menu_accounts:accounts'] = array(
    'menu_name' => 'menu-accountants-menu',
    'link_path' => 'accounts',
    'router_path' => 'accounts',
    'link_title' => 'Accounts',
    'options' => array(
      'attributes' => array(
        'title' => 'List of accounts',
      ),
      'identifier' => 'menu-accountants-menu_accounts:accounts',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -49,
    'customized' => 1,
  );
  // Exported menu link: menu-accountants-menu_invoices:invoices.
  $menu_links['menu-accountants-menu_invoices:invoices'] = array(
    'menu_name' => 'menu-accountants-menu',
    'link_path' => 'invoices',
    'router_path' => 'invoices',
    'link_title' => 'Invoices',
    'options' => array(
      'identifier' => 'menu-accountants-menu_invoices:invoices',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -47,
    'customized' => 1,
  );
  // Exported menu link: menu-accountants-menu_timesheet:timesheet.
  $menu_links['menu-accountants-menu_timesheet:timesheet'] = array(
    'menu_name' => 'menu-accountants-menu',
    'link_path' => 'timesheet',
    'router_path' => 'timesheet',
    'link_title' => 'Timesheet',
    'options' => array(
      'identifier' => 'menu-accountants-menu_timesheet:timesheet',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => 0,
    'customized' => 0,
  );
  // Exported menu link: menu-accountants-menu_transactions:transactions.
  $menu_links['menu-accountants-menu_transactions:transactions'] = array(
    'menu_name' => 'menu-accountants-menu',
    'link_path' => 'transactions',
    'router_path' => 'transactions',
    'link_title' => 'Transactions',
    'options' => array(
      'attributes' => array(
        'title' => 'List of transactions',
      ),
      'identifier' => 'menu-accountants-menu_transactions:transactions',
    ),
    'module' => 'system',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -48,
    'customized' => 1,
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Accountants menu');
  t('Accounts');
  t('Administration menu');
  t('Backup and Migrate');
  t('Date Popup');
  t('Invoices');
  t('Main menu');
  t('Management');
  t('Navigation');
  t('Profiler Builder');
  t('Rules Links');
  t('Timesheet');
  t('Transactions');
  t('User menu');

  return $menu_links;
}
