<?php
/**
 * @file
 * accounting_modules.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function accounting_modules_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'access administration menu'.
  $permissions['access administration menu'] = array(
    'name' => 'access administration menu',
    'roles' => array(),
    'module' => 'admin_menu',
  );

  // Exported permission: 'access administration pages'.
  $permissions['access administration pages'] = array(
    'name' => 'access administration pages',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'access all views'.
  $permissions['access all views'] = array(
    'name' => 'access all views',
    'roles' => array(),
    'module' => 'views',
  );

  // Exported permission: 'access backup and migrate'.
  $permissions['access backup and migrate'] = array(
    'name' => 'access backup and migrate',
    'roles' => array(),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'access backup files'.
  $permissions['access backup files'] = array(
    'name' => 'access backup files',
    'roles' => array(),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'access content'.
  $permissions['access content'] = array(
    'name' => 'access content',
    'roles' => array(
      'Accountant' => 'Accountant',
    ),
    'module' => 'node',
  );

  // Exported permission: 'access content overview'.
  $permissions['access content overview'] = array(
    'name' => 'access content overview',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'access contextual links'.
  $permissions['access contextual links'] = array(
    'name' => 'access contextual links',
    'roles' => array(),
    'module' => 'contextual',
  );

  // Exported permission: 'access overlay'.
  $permissions['access overlay'] = array(
    'name' => 'access overlay',
    'roles' => array(),
    'module' => 'overlay',
  );

  // Exported permission: 'access private fields'.
  $permissions['access private fields'] = array(
    'name' => 'access private fields',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'access rules debug'.
  $permissions['access rules debug'] = array(
    'name' => 'access rules debug',
    'roles' => array(),
    'module' => 'rules',
  );

  // Exported permission: 'access rules link clone_button'.
  $permissions['access rules link clone_button'] = array(
    'name' => 'access rules link clone_button',
    'roles' => array(),
    'module' => 'rules_link',
  );

  // Exported permission: 'access rules link set_time_end'.
  $permissions['access rules link set_time_end'] = array(
    'name' => 'access rules link set_time_end',
    'roles' => array(),
    'module' => 'rules_link',
  );

  // Exported permission: 'access site in maintenance mode'.
  $permissions['access site in maintenance mode'] = array(
    'name' => 'access site in maintenance mode',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'access site reports'.
  $permissions['access site reports'] = array(
    'name' => 'access site reports',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'access user profiles'.
  $permissions['access user profiles'] = array(
    'name' => 'access user profiles',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'administer actions'.
  $permissions['administer actions'] = array(
    'name' => 'administer actions',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer advanced pane settings'.
  $permissions['administer advanced pane settings'] = array(
    'name' => 'administer advanced pane settings',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer backup and migrate'.
  $permissions['administer backup and migrate'] = array(
    'name' => 'administer backup and migrate',
    'roles' => array(),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'administer blocks'.
  $permissions['administer blocks'] = array(
    'name' => 'administer blocks',
    'roles' => array(),
    'module' => 'block',
  );

  // Exported permission: 'administer content types'.
  $permissions['administer content types'] = array(
    'name' => 'administer content types',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'administer features'.
  $permissions['administer features'] = array(
    'name' => 'administer features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'administer feeds'.
  $permissions['administer feeds'] = array(
    'name' => 'administer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'administer field permissions'.
  $permissions['administer field permissions'] = array(
    'name' => 'administer field permissions',
    'roles' => array(),
    'module' => 'field_permissions',
  );

  // Exported permission: 'administer fields'.
  $permissions['administer fields'] = array(
    'name' => 'administer fields',
    'roles' => array(),
    'module' => 'field',
  );

  // Exported permission: 'administer filters'.
  $permissions['administer filters'] = array(
    'name' => 'administer filters',
    'roles' => array(),
    'module' => 'filter',
  );

  // Exported permission: 'administer menu'.
  $permissions['administer menu'] = array(
    'name' => 'administer menu',
    'roles' => array(),
    'module' => 'menu',
  );

  // Exported permission: 'administer module filter'.
  $permissions['administer module filter'] = array(
    'name' => 'administer module filter',
    'roles' => array(),
    'module' => 'module_filter',
  );

  // Exported permission: 'administer modules'.
  $permissions['administer modules'] = array(
    'name' => 'administer modules',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer nodes'.
  $permissions['administer nodes'] = array(
    'name' => 'administer nodes',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'administer page manager'.
  $permissions['administer page manager'] = array(
    'name' => 'administer page manager',
    'roles' => array(),
    'module' => 'page_manager',
  );

  // Exported permission: 'administer pane access'.
  $permissions['administer pane access'] = array(
    'name' => 'administer pane access',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels display styles'.
  $permissions['administer panels display styles'] = array(
    'name' => 'administer panels display styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels layouts'.
  $permissions['administer panels layouts'] = array(
    'name' => 'administer panels layouts',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels pane styles'.
  $permissions['administer panels pane styles'] = array(
    'name' => 'administer panels pane styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels region styles'.
  $permissions['administer panels region styles'] = array(
    'name' => 'administer panels region styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer panels styles'.
  $permissions['administer panels styles'] = array(
    'name' => 'administer panels styles',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'administer permissions'.
  $permissions['administer permissions'] = array(
    'name' => 'administer permissions',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'administer profiler builder'.
  $permissions['administer profiler builder'] = array(
    'name' => 'administer profiler builder',
    'roles' => array(),
    'module' => 'profiler_builder',
  );

  // Exported permission: 'administer reroute email'.
  $permissions['administer reroute email'] = array(
    'name' => 'administer reroute email',
    'roles' => array(),
    'module' => 'reroute_email',
  );

  // Exported permission: 'administer rules'.
  $permissions['administer rules'] = array(
    'name' => 'administer rules',
    'roles' => array(),
    'module' => 'rules',
  );

  // Exported permission: 'administer rules links'.
  $permissions['administer rules links'] = array(
    'name' => 'administer rules links',
    'roles' => array(),
    'module' => 'rules_link',
  );

  // Exported permission: 'administer site configuration'.
  $permissions['administer site configuration'] = array(
    'name' => 'administer site configuration',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer software updates'.
  $permissions['administer software updates'] = array(
    'name' => 'administer software updates',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer themes'.
  $permissions['administer themes'] = array(
    'name' => 'administer themes',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'administer users'.
  $permissions['administer users'] = array(
    'name' => 'administer users',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'administer views'.
  $permissions['administer views'] = array(
    'name' => 'administer views',
    'roles' => array(),
    'module' => 'views',
  );

  // Exported permission: 'block IP addresses'.
  $permissions['block IP addresses'] = array(
    'name' => 'block IP addresses',
    'roles' => array(),
    'module' => 'system',
  );

  // Exported permission: 'bypass access in place editing'.
  $permissions['bypass access in place editing'] = array(
    'name' => 'bypass access in place editing',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'bypass node access'.
  $permissions['bypass node access'] = array(
    'name' => 'bypass node access',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'bypass rules access'.
  $permissions['bypass rules access'] = array(
    'name' => 'bypass rules access',
    'roles' => array(),
    'module' => 'rules',
  );

  // Exported permission: 'cancel account'.
  $permissions['cancel account'] = array(
    'name' => 'cancel account',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'change layouts in place editing'.
  $permissions['change layouts in place editing'] = array(
    'name' => 'change layouts in place editing',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'change own username'.
  $permissions['change own username'] = array(
    'name' => 'change own username',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'clear accounts_importer feeds'.
  $permissions['clear accounts_importer feeds'] = array(
    'name' => 'clear accounts_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'clear invoice_importer feeds'.
  $permissions['clear invoice_importer feeds'] = array(
    'name' => 'clear invoice_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'clear node feeds'.
  $permissions['clear node feeds'] = array(
    'name' => 'clear node feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'clear reporting_group_importer feeds'.
  $permissions['clear reporting_group_importer feeds'] = array(
    'name' => 'clear reporting_group_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'clear timesheets_importer feeds'.
  $permissions['clear timesheets_importer feeds'] = array(
    'name' => 'clear timesheets_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'clear transaction_importer feeds'.
  $permissions['clear transaction_importer feeds'] = array(
    'name' => 'clear transaction_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'clear user feeds'.
  $permissions['clear user feeds'] = array(
    'name' => 'clear user feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'create account content'.
  $permissions['create account content'] = array(
    'name' => 'create account content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'create invoice content'.
  $permissions['create invoice content'] = array(
    'name' => 'create invoice content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'create part content'.
  $permissions['create part content'] = array(
    'name' => 'create part content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'create report content'.
  $permissions['create report content'] = array(
    'name' => 'create report content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'create reporting_group content'.
  $permissions['create reporting_group content'] = array(
    'name' => 'create reporting_group content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'create time_record content'.
  $permissions['create time_record content'] = array(
    'name' => 'create time_record content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'create transaction content'.
  $permissions['create transaction content'] = array(
    'name' => 'create transaction content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'create transaction_match content'.
  $permissions['create transaction_match content'] = array(
    'name' => 'create transaction_match content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any account content'.
  $permissions['delete any account content'] = array(
    'name' => 'delete any account content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any invoice content'.
  $permissions['delete any invoice content'] = array(
    'name' => 'delete any invoice content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any part content'.
  $permissions['delete any part content'] = array(
    'name' => 'delete any part content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any report content'.
  $permissions['delete any report content'] = array(
    'name' => 'delete any report content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any reporting_group content'.
  $permissions['delete any reporting_group content'] = array(
    'name' => 'delete any reporting_group content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any time_record content'.
  $permissions['delete any time_record content'] = array(
    'name' => 'delete any time_record content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any transaction content'.
  $permissions['delete any transaction content'] = array(
    'name' => 'delete any transaction content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete any transaction_match content'.
  $permissions['delete any transaction_match content'] = array(
    'name' => 'delete any transaction_match content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete backup files'.
  $permissions['delete backup files'] = array(
    'name' => 'delete backup files',
    'roles' => array(),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'delete own account content'.
  $permissions['delete own account content'] = array(
    'name' => 'delete own account content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own invoice content'.
  $permissions['delete own invoice content'] = array(
    'name' => 'delete own invoice content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own part content'.
  $permissions['delete own part content'] = array(
    'name' => 'delete own part content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own report content'.
  $permissions['delete own report content'] = array(
    'name' => 'delete own report content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own reporting_group content'.
  $permissions['delete own reporting_group content'] = array(
    'name' => 'delete own reporting_group content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own time_record content'.
  $permissions['delete own time_record content'] = array(
    'name' => 'delete own time_record content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own transaction content'.
  $permissions['delete own transaction content'] = array(
    'name' => 'delete own transaction content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own transaction_match content'.
  $permissions['delete own transaction_match content'] = array(
    'name' => 'delete own transaction_match content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete revisions'.
  $permissions['delete revisions'] = array(
    'name' => 'delete revisions',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'display drupal links'.
  $permissions['display drupal links'] = array(
    'name' => 'display drupal links',
    'roles' => array(),
    'module' => 'admin_menu',
  );

  // Exported permission: 'edit any account content'.
  $permissions['edit any account content'] = array(
    'name' => 'edit any account content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any invoice content'.
  $permissions['edit any invoice content'] = array(
    'name' => 'edit any invoice content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any part content'.
  $permissions['edit any part content'] = array(
    'name' => 'edit any part content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any report content'.
  $permissions['edit any report content'] = array(
    'name' => 'edit any report content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any reporting_group content'.
  $permissions['edit any reporting_group content'] = array(
    'name' => 'edit any reporting_group content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any time_record content'.
  $permissions['edit any time_record content'] = array(
    'name' => 'edit any time_record content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any transaction content'.
  $permissions['edit any transaction content'] = array(
    'name' => 'edit any transaction content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any transaction_match content'.
  $permissions['edit any transaction_match content'] = array(
    'name' => 'edit any transaction_match content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own account content'.
  $permissions['edit own account content'] = array(
    'name' => 'edit own account content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own invoice content'.
  $permissions['edit own invoice content'] = array(
    'name' => 'edit own invoice content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own part content'.
  $permissions['edit own part content'] = array(
    'name' => 'edit own part content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own report content'.
  $permissions['edit own report content'] = array(
    'name' => 'edit own report content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own reporting_group content'.
  $permissions['edit own reporting_group content'] = array(
    'name' => 'edit own reporting_group content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own time_record content'.
  $permissions['edit own time_record content'] = array(
    'name' => 'edit own time_record content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own transaction content'.
  $permissions['edit own transaction content'] = array(
    'name' => 'edit own transaction content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own transaction_match content'.
  $permissions['edit own transaction_match content'] = array(
    'name' => 'edit own transaction_match content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'flush caches'.
  $permissions['flush caches'] = array(
    'name' => 'flush caches',
    'roles' => array(),
    'module' => 'admin_menu',
  );

  // Exported permission: 'generate features'.
  $permissions['generate features'] = array(
    'name' => 'generate features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'import accounts_importer feeds'.
  $permissions['import accounts_importer feeds'] = array(
    'name' => 'import accounts_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'import invoice_importer feeds'.
  $permissions['import invoice_importer feeds'] = array(
    'name' => 'import invoice_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'import node feeds'.
  $permissions['import node feeds'] = array(
    'name' => 'import node feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'import reporting_group_importer feeds'.
  $permissions['import reporting_group_importer feeds'] = array(
    'name' => 'import reporting_group_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'import timesheets_importer feeds'.
  $permissions['import timesheets_importer feeds'] = array(
    'name' => 'import timesheets_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'import transaction_importer feeds'.
  $permissions['import transaction_importer feeds'] = array(
    'name' => 'import transaction_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'import user feeds'.
  $permissions['import user feeds'] = array(
    'name' => 'import user feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'manage features'.
  $permissions['manage features'] = array(
    'name' => 'manage features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'perform backup'.
  $permissions['perform backup'] = array(
    'name' => 'perform backup',
    'roles' => array(),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'rename features'.
  $permissions['rename features'] = array(
    'name' => 'rename features',
    'roles' => array(),
    'module' => 'features',
  );

  // Exported permission: 'restore from backup'.
  $permissions['restore from backup'] = array(
    'name' => 'restore from backup',
    'roles' => array(),
    'module' => 'backup_migrate',
  );

  // Exported permission: 'revert revisions'.
  $permissions['revert revisions'] = array(
    'name' => 'revert revisions',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'select account cancellation method'.
  $permissions['select account cancellation method'] = array(
    'name' => 'select account cancellation method',
    'roles' => array(),
    'module' => 'user',
  );

  // Exported permission: 'unique_field_perm_admin'.
  $permissions['unique_field_perm_admin'] = array(
    'name' => 'unique_field_perm_admin',
    'roles' => array(),
    'module' => 'unique_field',
  );

  // Exported permission: 'unique_field_perm_bypass'.
  $permissions['unique_field_perm_bypass'] = array(
    'name' => 'unique_field_perm_bypass',
    'roles' => array(),
    'module' => 'unique_field',
  );

  // Exported permission: 'unlock accounts_importer feeds'.
  $permissions['unlock accounts_importer feeds'] = array(
    'name' => 'unlock accounts_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'unlock invoice_importer feeds'.
  $permissions['unlock invoice_importer feeds'] = array(
    'name' => 'unlock invoice_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'unlock node feeds'.
  $permissions['unlock node feeds'] = array(
    'name' => 'unlock node feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'unlock reporting_group_importer feeds'.
  $permissions['unlock reporting_group_importer feeds'] = array(
    'name' => 'unlock reporting_group_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'unlock timesheets_importer feeds'.
  $permissions['unlock timesheets_importer feeds'] = array(
    'name' => 'unlock timesheets_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'unlock transaction_importer feeds'.
  $permissions['unlock transaction_importer feeds'] = array(
    'name' => 'unlock transaction_importer feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'unlock user feeds'.
  $permissions['unlock user feeds'] = array(
    'name' => 'unlock user feeds',
    'roles' => array(),
    'module' => 'feeds',
  );

  // Exported permission: 'use PHP for label patterns'.
  $permissions['use PHP for label patterns'] = array(
    'name' => 'use PHP for label patterns',
    'roles' => array(),
    'module' => 'auto_entitylabel',
  );

  // Exported permission: 'use ctools import'.
  $permissions['use ctools import'] = array(
    'name' => 'use ctools import',
    'roles' => array(),
    'module' => 'ctools',
  );

  // Exported permission: 'use ipe with page manager'.
  $permissions['use ipe with page manager'] = array(
    'name' => 'use ipe with page manager',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use page manager'.
  $permissions['use page manager'] = array(
    'name' => 'use page manager',
    'roles' => array(),
    'module' => 'page_manager',
  );

  // Exported permission: 'use panels caching features'.
  $permissions['use panels caching features'] = array(
    'name' => 'use panels caching features',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use panels dashboard'.
  $permissions['use panels dashboard'] = array(
    'name' => 'use panels dashboard',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use panels in place editing'.
  $permissions['use panels in place editing'] = array(
    'name' => 'use panels in place editing',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'use panels locks'.
  $permissions['use panels locks'] = array(
    'name' => 'use panels locks',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'view own unpublished content'.
  $permissions['view own unpublished content'] = array(
    'name' => 'view own unpublished content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'view pane admin links'.
  $permissions['view pane admin links'] = array(
    'name' => 'view pane admin links',
    'roles' => array(),
    'module' => 'panels',
  );

  // Exported permission: 'view revisions'.
  $permissions['view revisions'] = array(
    'name' => 'view revisions',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'view the administration theme'.
  $permissions['view the administration theme'] = array(
    'name' => 'view the administration theme',
    'roles' => array(),
    'module' => 'system',
  );

  return $permissions;
}
